// defines Otis
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_OTIS_GSH
#define INCLUDED_OTIS_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "lasers.gsh"
#include "defaults.gsh"

hierarchy Hcy_Otis
{
	file "units\otis.RIF"
	name "pinch + rocket"
	hotspot "dum flash"
}

character Chr_Otis : Chr_DefaultGoodie
	// otis is stronger than fred but can't aim as well or turn as quickly
{
	turning speed   0.5 	// this is in revolutions per second
	walking speed   1 	// this is in animation cycles per second
	weapon          Wpn_BlueLaser
	strength        30	// initial strength points
	aim             3	// how many degrees off target he can be at most
	sight angle	70	// in degrees
	sight range 	8	// in metres
	hearing range	20	// in metres
	aggression	0.8	// from 0 to 1
}

role Rol_Otis : Rol_DefaultRobot
{
	shape            Hcy_Otis
	
	character        Chr_Otis
	
	identifier       "otis"
}
					
////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_OTIS_GSH
